site_name: Linux Training
site_description: Linux Trainng
site_author: Linux Support
site_url: https://linux-training.web.cern.ch/

repo_name: linuxtraining
repo_url: https://gitlab.cern.ch/linuxsupport/linuxtraining
edit_uri: 'blob/master'

theme:
    name: material
    font: false
extra_css:
  - stylesheets/fonts.css

markdown_extensions:
  - admonition

nav:
  - 'Introduction':
    - 'Introduction': index.md
    - 'Prerequisites': introduction/prereq.md
    - 'Checking your permissions': introduction/permissions.md
    - 'LXPLUS': lxplus/introduction.md
  - 'Distributions':
    - 'Supported distributions': distributions/supported.md
    - 'CERN CentOS 7': distributions/cc7.md
    - 'AlmaLinux': distributions/alma.md
    - 'Red Hat Linux Enterprise': distributions/rhel.md
  - 'GNU/Linux at CERN':
    - 'Getting help': linux/help.md
    - 'Website and documentation': linux/doc.md
    - 'Installation procedure': linux/install.md
    - 'AIMS2': linux/aims2.md
    - 'Kickstart': linux/kickstart.md
    - 'Machine configuration / Locmap': linux/locmap.md
    - 'Red Hat licenses': linux/licenses.md
    - 'Kerberos': linux/kerberos.md
    - 'Open a great Linux support case': linux/support.md
  - 'RPM, YUM and DNF':
    - 'RPM': pkg/rpm.md
    - 'YUM': pkg/yum.md
    - 'DNF': pkg/dnf.md
    - 'Additional tools': pkg/tools.md
  - 'Interacting with different storage solutions at CERN':
    - 'AFS (Home directory)': storage/afs.md
    - 'CVMFS': storage/cvmfs.md
    - 'CERNBOX': storage/cernbox.md
    - 'EOS': storage/eos.md
    - 'S3': storage/s3.md
  - 'Other services':
    - 'Software mirrors at CERN': services/mirror.md
    - 'KOJI RPM Software building service': services/koji.md
    - 'Containers': services/containers.md
  - 'Today I learned about...':
    - 'CERN phonebook': til/phonebook.md
    - 'Basic usage systemd / journald': til/systemd.md
    - 'Run CERN docker images': til/docker.md
  - 'Other useful information':
    - 'FAQ': others/faq.md
